Subject: Re: Gianfar ethernet drop package

From: Aníbal Almeida Pinto <[email-masked]>
Date: Mon, 27 Aug 2012 11:32:27 +0100

Em 24-08-2012 19:17, Eric Dumazet escreveu:
> On Fri, 2012-08-24 at 17:14 +0100, Aníbal Almeida Pinto wrote:
>> Hi,
>>
>> I have an board with a ppc with a 8379, kernel 3.0.39 and with a Gianfar
>> Ethernet Controller Version 1.2.
>>
>> When connect the board to office network the number of dropped packets
>> reported by ifconfig continues to increase.
>>
>> Following the test made at [1] I use tcpdump and when running it the
>> number of drop packages don't have increased.
>>
>> When executing ethtool eth0 -S it return a rx-dropped-by-kernel != 0.
>> And the rest of drop packages
>>
>> Is possible to get info why the packages are dropped?
>
> You receive frames for unknown protocols. So they are dropped.
>
> When running tcpdump, your tcpdump get them, they are not dropped.
>
> So just parse your tcpdump output ?
>

I generate the log on the board with tcpdump -i eth0 -w log_eth0.txt and 
loaded the result on wireshark (on other pc).

On the wireshark everything appears to be fine don't have nothing that 
indicate the protocol isn't supported.

On /etc/protocols is a list with protocols, it there is a place where 
exist a place with protocols supported by kernel ?

Thanks